import type Entity from '.';
import type { ValidationErrors } from '../exceptions/validation';
export default abstract class Collection<T extends Entity> {
    readonly collections: T[];
    private static _isCreating;
    /**
     * @deprecated create 経由で生成
     */
    constructor(collections: T[]);
    [Symbol.iterator](): IterableIterator<T>;
    find(filter: (item: T) => boolean): T | undefined;
    filter(filter: (item: T) => boolean): T[];
    isEmpty(): boolean;
    getErrors(prev?: Collection<T>): ValidationErrors | undefined;
    validate(prev?: Collection<T>): void | never;
    static create<T extends Entity, Instance extends Collection<T>>(this: new (collections: T[]) => Instance, collections: T[]): Instance;
}
